idProteinType {ppiStats} | R Documentation

## A function to determine viable baits, viable preys, or homodimers within experimental data-sets.

### Description

These functions take a bait to prey directed graphNEL and returns either a character vector of all proteins which participates in homodimer relationships or a list of three character vectors: a vector of viable baits, a vector of viable prey, and a vector of the viable bait/prey.

### Usage

    idViableProteins(bpGraph, homomer=TRUE)
    idHomodimers(bpGraph)

### Arguments

`bpGraph` | A directed graphNEL
`homomer` | A logical. If True, homomer relationships will also be used to characterize proteins as viable baits, viable prey, and also as viable bait/prey simultaneously. If False, those proteins whose only intraction is a homomer relationship will not be characterized as viable in any context.

### Value

The return value for idHomodimers is a character vector of those proteins which participates in homomer relationships.
The return value for idViableProteins is a list of two character vectors:

`VB` | A vector of baits that finds at least one prey in the experimental graphNEL, i.e. the nodes with out-degree at greater than 0. If homomer = FALSE, those proteins which participate in only homomer relationships will not be returned.
`VP` | A vector of prey which is found by at least one bait in the experimental graphNEL, i.e. the nodes with in-degree at greater than 0. If homomer = FALSE, those proteins which participate in only homomer relationships will not be returned.
`VBP` | A vector of proteins that are both viable baits and viable prey in an experimental dataset as defined above. If homomer = FALSE, those proteins which participate in only homomer relationships will not be returned.

### Author(s)

T Chiang

### Examples

    library(ppiData)
    idViableProteins(ItoCore2001BPGraph)
    idHomodimers(ItoCore2001BPGraph)

[Package ppiStats version 1.8.0 Index]